Create a new private tool in the user's vault.
Create a new private tool in the user's vault.
POST
/api/toolsBody
namestringrequireddescriptionstringdocker_imagestringrequiredcommandstringcategorystringoutput_parameterstringoutput_typeobjectinputsobjectsource_urlstring | enumdoc_linkstring | enumlicense_infoobjectrequiredRequest
curl
curl -X POST https://platform.trickest.com/api/tools \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
200Tool created successfully
idstringrequirednamestringrequireddescriptionstringtypeenumrequiredOne of: TOOL, SCRIPT, MODULE
categorystringauthorstringinputsobject[]outputsobject[]workflowstringvaultstringvault_infoobject400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring